Bug 29163 - [glsl2] glean/shaderAPI fail
Summary: [glsl2] glean/shaderAPI fail
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: All Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 29044
  Show dependency treegraph
 
Reported: 2010-07-19 23:21 UTC by Gordon Jin
Modified: 2010-08-09 17:42 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gordon Jin 2010-07-19 23:21:01 UTC
glean case shaderAPI fails with mesa glsl2 branch (17a307d154489d718ab51a6272d2054868d782f6 on July 16th), while passes with mesa master branch. 
Tested on Piketon.

error:
glean/tshaderapi.cpp:349 assertion "size == 1" failed
glean/tshaderapi.cpp:349 assertion "size == 1" failed
glean/tshaderapi.cpp:402 expected invalid operation but received no error
glean: shader/ir_to_mesa.cpp:458: int type_size(const glsl_type*): Assertion `0' failed.
Comment 1 Ian Romanick 2010-08-06 15:40:26 UTC
This should be fixed by the following commits:

commit 8d61a23b1a1d0d4b21f0fab64f6d863a8ee3d7f1
Author: Eric Anholt <eric@anholt.net>
Date:   Thu Aug 5 16:00:46 2010 -0700

    glsl2: Don't assert in a couple of places when encountering sampler arrays.
    
    Fixes glean shaderAPI.

commit 658e25987fbec3b826f500baa6d4d936b9552b13
Author: Eric Anholt <eric@anholt.net>
Date:   Thu Aug 5 15:54:56 2010 -0700

    ir_to_mesa: Give the expected size for _mesa_add_attribute().
    
    Fixes a failure in glean shaderAPI.
Comment 2 Gordon Jin 2010-08-09 17:42:53 UTC
verified on glsl2


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.